﻿.form-control-dx-2 {
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    border-radius: 0.25rem;
    border-color: #ced4da !important;
    overflow: hidden;
}
    .form-control-dx-2 input {
        display: block;
        width: 100%;
        padding: 0.255rem 0.552rem !important;
        height: 26px !important;
        font-family: 'Yek', 'B Yekan', '2  Yekan', Tahoma !important;
        font-size: 0.785rem !important;
        color: #495057;
        background-color: #fff;
        background-clip: padding-box;
        border: 1px solid #ced4da;
        border-radius: 0.25rem;
        transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    }
        .form-control-dx-2 input::-ms-expand {
            background-color: transparent;
            border: 0;
        }
.form-control-dx-2-focus {
    border-color: var(--color-primary) !important;
    box-shadow: 0 0 0 0.2rem var(--grid-hover-bg-color);
}

.page_header_title, .page_header_title_no_dot {
    color: var(--color-primary);
    text-shadow: 0px 1px 2px var(--rail-bg-color);
    border-bottom-color: var(--color-primary);
}

.bita-left-arrow-1 {
    color: var(--color-primary);
}

.form-control:focus, .form-control-dx-focus {
    border-color: var(--color-primary);
    box-shadow: 0 0 0 0.2rem var(--color-form-control-focus-border);
}

.form-control-dx-focus {
    border-color: var(--color-primary) !important;
}

.div_switchbutton input[type="checkbox"]:checked ~ div.thumb {
    background-color: var(--color-primary);
}

.div_switchbutton div.rail {
    background-color: #cbcbcb;
}

.btn_1 {
    background-color: var(--color-primary);
    color: #fff;
}
    .btn_1:hover {
        background-color: var(--color-button-hover);
        color: #fff;
    }
    .btn_1:active, .btn_1:focus {
        background-color: var(--color-primary);
        box-shadow: 0 0 0 0.2rem var(--color-form-control-focus-border);
        color: #fff;
    }

.btn_2, .btn_2:link, .btn_2:active, .btn_2:visited {
    color: var(--color-button-hover);
}
.btn_2:active, .btn_2:focus {
    box-shadow: 0 0 0 0.2rem var(--color-form-control-focus-border);
}

.btn_3 {
    border: 1px solid var(--color-primary);
    color: var(--color-button-hover);
}
    .btn_3:active, .btn_3:focus {
        box-shadow: 0 0 0 0.2rem var(--color-form-control-focus-border);
    }

.dxgvFocusedRow_DevEx {
    background-image: none !important;
    background-color: var(--grid-focus-bg-color) !important;
}

    .dxgvFocusedRow_DevEx:hover {
        background-color: var(--grid-hover-bg-color) !important;
    }

.dxgvDataRow_DevEx {
    background-image: none;
}

    .dxgvDataRow_DevEx:hover {
        background-color: var(--grid-hover-bg-color);
    }

.div_material_textbox .div_input_focus .div_hint {
    color: var(--color-primary);
}

.div_material_textbox .div_hint_fixed {
    color: var(--color-primary);
}


.dxgvHeader_DevEx {
    /*display: none;*/
}

body {
    /*
    background-color: #f3f3f3;
    overflow-x: hidden;
    */
}

.div_title_bar {
    padding: 14px 20px;
    background-color: var(--color-primary);
    color: #fff;
    font-size: 0.9rem;
}

.div_grid_container {
    border-radius: 5px;
    box-shadow: 0 0 3px #bdbdbd;
    margin: 5px;
}
.div_grid_container .dx_grid {
    border: 0 none !important;
}

.dxgvControl_DevEx {
    border: 0 none !important;
}

.div_checkbox input[type="checkbox"]:checked ~ div.border {
    border-color: var(--color-primary);
    background-color: var(--color-primary);
}

.div_checkbox input[type="checkbox"]:focus ~ div.border {
    /*
    box-shadow: 0px 0px 4px 0px var(--color-primary);
    */
    box-shadow: 0px 0px 0px 0.2rem var(--color-form-control-focus-border);
}

.div_switchbutton input[type="checkbox"]:checked ~ div.rail {
    background-color: var(--grid-hover-bg-color);
}

.div_switchbutton input[type="checkbox"]:focus ~ div.rail {
    /*
    box-shadow: 0px 0px 4px 0px var(--color-primary);
    */
    box-shadow: 0px 0px 0px 0.2rem var(--color-form-control-focus-border);
}

.div_radio input[type="radio"]:checked ~ div.border {
    border-color: var(--color-primary);
}

.div_radio div.center {
    background-color: var(--color-primary);
}

.div_radio input[type="radio"]:focus ~ div.border {
    /*
    box-shadow: 0px 0px 4px 0px var(--color-primary);
    */
    box-shadow: 0 0 0 0.2rem var(--color-form-control-focus-border);
}


.div_row {
    display: flex;
    -webkit-display: flex;
    -moz-display: flex;
    -ms--display: flex;
    flex: 1;
    flex-direction: row;
    align-items: center;
}

.div_buttons {
    text-align: center;
}
    .div_buttons > a {
        display: inline-block;
        width: 32px;
        height: 32px;
        text-align: center;
        font-size: 1rem;
        line-height: 1.9rem;
        border-radius: 50%;
        text-decoration: none;
        /*margin-left: -4px;*/
        transition: background-color 0.2s;
        color: #4e4e4e;
        text-decoration: none !important;
    }
        /*
        .div_buttons > a:hover {
            text-decoration: none;
        }
        .div_buttons > a.green:hover { background-color: #a4ff8f; }
        .div_buttons > a.green:active { background-color: #79ed5e; }
        .div_buttons > a.green2:hover { background-color: #a4ff8f; }
        .div_buttons > a.green2:active { background-color: #a4ff8f; }

        .div_buttons > a.yellow:hover { background-color: #ffec8f; }
        .div_buttons > a.yellow:active { background-color: #ffde8f; }

        .div_buttons > a.pink:hover { background-color: #f2bfff; }
        .div_buttons > a.pink:active { background-color: #e9b9f5; }

        .div_buttons > a.blue:hover { background-color: #94e5ee; }
        .div_buttons > a.blue:active { background-color: #88dee8; }

        .div_buttons > a.red:hover { background-color: #ff9c92; }
        .div_buttons > a.red:active { background-color: #ff7364; }

        .div_buttons > a.menu_color:hover { background-color: #b889c4; }
        .div_buttons > a.menu_color:focus { background-color: #b889c4; color: #fff; }

        .div_buttons > a:disabled,
        .div_buttons > a.aspNetDisabled {
            color: #bfbfbf !important;
            background-color: transparent !important;
        }
        */

.dxgvFocusedGroupRow_DevEx {
    background-image: none !important;
    background-color: var(--grid-focus-bg-color) !important;
}

@media only screen and (max-width: 768px) {
    .div_title_bar {
        padding: 17px 63px 17px 17px;
    }
}